---
updatedAt: 2026-05-12T09:57:58.000Z
---

# Update asset(s)

This operation allows you to perform a batch update of the specified assets.

# OpenAPI definition

```json
{
  "components": {
    "responses": {
      "BadRequestResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        },
        "description": "BadRequestResponse indicates a request with invalid parameters"
      },
      "ForbiddenResponse": {
        "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
      },
      "GenericError": {
        "description": "GenericError generic error"
      },
      "SuccessResponse": {
        "description": "SuccessResponse request succeeded"
      },
      "UnauthorizedResponse": {
        "description": "UnauthorizedResponse signals an unauthorized API access"
      }
    },
    "schemas": {
      "AssetInput": {
        "description": "AssetInput holds the structure of the request body for PUT assets",
        "properties": {
          "activeUser": {
            "description": "Status is the asset status\nValid values are:\nactive\ninactive\n\nin: body",
            "type": "string"
          },
          "phase": {
            "description": "Phase is the asset phase\nValid values are:\npre-production\nproduction\ndiscontinued\n\nin: body",
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2022 WhiteHat Security"
    },
    "title": "Assets API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/assets": {
      "put": {
        "description": "This operation allows you to perform a batch update of the specified assets.",
        "operationId": "updateAssets",
        "parameters": [
          {
            "description": "ID is the filter for asset.id",
            "explode": false,
            "in": "query",
            "name": "id",
            "schema": {
              "items": {
                "format": "int64",
                "type": "integer"
              },
              "type": "array"
            },
            "style": "form"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AssetInput"
              }
            }
          },
          "description": "Body of the request holds the data to input when updating assets.\nThe set of asset(s) that are affected is not indicated here, but instead\nis specified in the id url parameter.",
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/SuccessResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestResponse"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedResponse"
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenResponse"
          },
          "500": {
            "$ref": "#/components/responses/GenericError"
          }
        },
        "summary": "Update asset(s)",
        "tags": [
          "Assets API v2.0"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Assets API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```